!quelques exemples de tableaux et d operations sur les tableaux
implicit none 
integer,parameter :: nmax=3,n=2
integer :: i,j
integer, dimension(1:nmax) :: donne,fait,somme
integer, dimension(1:n,1:n) :: matrice1,matrice2,matrice3


donne=1
print *,'initialisation ',donne	


print *,'donnez ',nmax,' entiers'

do i=1,Nmax,1
	read *,donne(i)
enddo

print *,'nombres donnes ',donne	
print *,'maximum ',maxval(donne)
print *,'minimum ',minval(donne)
print *,'somme de tous les termes du tableau ',sum(donne)


fait=(/((i**2),i=1,nmax,1)/)
! cette ligne est equivalente a :
!do i=1,nmax,1
!	fait(i)=i**2	
!enddo

print *,'i^2 ',fait


somme=donne+fait

print *,'somme ',somme


do i=1,n,1
do j=1,n,1
	matrice1(i,j)=i*j
	matrice2(i,j)=i+j	
enddo
enddo

print *,'matrice1'
print *,matrice1(1,:)
print *,matrice1(2,:)
print *,'matrice2'
print *,matrice2(1,:)
print *,matrice2(2,:)
matrice3=matmul(matrice1,matrice2)
print *,'produit'
print *,matrice3(1,:)
print *,matrice3(2,:)


end
